[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageExpirations;
    localvar={
	.headers="Hostname";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="Expiration Policies";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="Policies";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .group.type.label="For this group type";
  .group.patternmatch.label="With groups matching";
  .title.edit = "Edit a custom expiration policy";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Group Type */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Group Type Combo Box */
            ctrl=choice;
            items=["Any","Moderated","Unmoderated"];
            aligny=0.5;
            label=hostname;
            val=$type;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Pattern Match */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.patternmatch.label;
            id=grouptype;
            label=hostname;
          }, /* End patter match label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Pattern match text box */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$pattern;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Obey Expiration Headers.";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="Days to keep articles without expiration headers:";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Override expiration headers.";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Minimum days to keep articles:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Maximum days to keep articles:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Never Expire Articles.";
        showborder=false;
        val=$never;
      }
    ]
  }
]; /* network panel contents */
}, /* network panel spec */
{ /* Default expiration dialog */

blockid=defaultDialog;

localvar =
{
  .group.type.label="Days to remember history: ";
  .title.default = "Edit default expiration policy";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          {
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          },
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Days to remember history */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$history;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Obey Expiration Headers.";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="Days to keep articles without expiration headers:";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Override expiration headers.";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Minimum days to keep articles:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Maximum days to keep articles:";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Never Expire Articles.";
        showborder=false;
        val=$never;
      }
    ]
  }
];
}

]
